/*
 * deviced
 *
 * Copyright (c) 2012 - 2017 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __AMBIENT_MODE_H__
#define __AMBIENT_MODE_H__

#define AMBIENT_CLOCK_WAITING_TIME 5000 /* ms */

int ambient_get_condition(void);
int ambient_get_state(void);
int ambient_set_state(int on);
void ambient_check_invalid_state(pid_t pid);
int ambient_set_screen(char *screen, pid_t pid);

#endif /* __AMBIENT_MODE_H__ */
